# Determine the number of Heronian triangles with side lengths less than a
# fixed value, and area less than a fixed value.
import math
MAX_SIDE_LENGTH = 100
MAX_AREA = 2000
count = 0
for a in range(1, MAX_SIDE_LENGTH+1):
    for b in range(a, MAX_SIDE_LENGTH+1):
        for c in range(b, MAX_SIDE_LENGTH+1):
            s = (a+b+c)/2
            d = s*(s-a)*(s-b)*(s-c)
            if d > 0:
                A = math.sqrt(d)
                if A == math.floor(A) and A <= MAX_AREA:
                    print(a, b, c, "is a Heronian triangle.")
                    count += 1
print("There are", count, "Heronian triangles that meet the criteria.")